Subject: Re: bug#30812: Perl syntax highlighting regression in fix for #27613? (feecb66b6fe41c977b8e11b5f2d419c9544f42de)

From: Noam Postavsky <[email-masked]>
Date: Tue, 20 Mar 2018 20:26:39 -0400

unarchive 27613
notfixed 27613 26.1
quit

Clément Pit-Claudel <[email-masked]> writes:

> I think the following commit was a bit too enthusiastic, as variables
> like @temp are now highlighted in font-lock-type-face.

I've reverted this from emacs-26 [1: f8cad16bb3].

> -     ("\\<\\(local\\|my\\)\\>" . font-lock-type-face)
> +     ;; Fontify declarators and prefixes as types.
> +     ("\\<\\(anon\\|argument\\|has\\|local\\|my\\|our\\|state\\|supersede\\)\\>" . font-lock-type-face) ; declarators
> +     ("\\<\\(let\\|temp\\)\\>" . font-lock-type-face) ; prefixes

> Am I missing something? (I don't speak Perl, so I noticed this in a regression test)

I missed this in the originating thread, but according to what I'm
getting from web searches, most of those keywords are perl 6 specific.
I think perl-mode shouldn't support them.

[1: f8cad16bb3]: 2018-03-20 20:14:40 -0400
  Revert "Support all perl variable declarators and prefixes"
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f8cad16bb3272a8069b3008019f9d18516aef1a5>